# *****************************************************************
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2018, 2019. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# *****************************************************************

from __future__ import print_function
import argparse
import os

defaultPath = os.getcwd()
CLI=argparse.ArgumentParser()
CLI.add_argument(
   "--data_path",
   type=str,
   default=defaultPath
)
args = CLI.parse_args()
# Load the data
print('loading HIGGS dataset...')
from sklearn.datasets import load_svmlight_file
filename = args.data_path + "/data/criteo.kaggle2014"
X,y = load_svmlight_file(filename)

print('splitting data...')
# Make the train-test split
from sklearn.model_selection import train_test_split
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.25, random_state=42)

# Save to sparse snap format
from snap_ml_spark.Utils import dump_to_snap_format
# Write to sparse snap format
dump_to_snap_format(X_train,y_train, filename+'-train_sparse.snap', implicit_vals=True)
dump_to_snap_format(X_train,y_train, filename+'-train_sparse.snap.t', transpose=True, implicit_vals=False)
dump_to_snap_format(X_test,y_test, filename+'-test_sparse.snap', implicit_vals=False)
